;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux dpkg-dev-el package

(if (not (file-exists-p "/usr/share/emacs/site-lisp/dpkg-dev-el"))
    (message "Package dpkg-dev-el removed but not purged.  Skipping setup.")

  ;; Replace all occurrences of nil in load-path by "." since nil breaks
  ;; debian-pkg-add-load-path-item
  (if (memq nil load-path)
      (setq load-path (substitute "." nil load-path)))

  (debian-pkg-add-load-path-item
   (concat "/usr/share/"
           (symbol-name debian-emacs-flavor)
           "/site-lisp/dpkg-dev-el"))

  ;; Make sure that the uncompiled files are also in the load-path, near the
  ;; end.  This is for moving point to the code when view help.
  (setq load-path
        (nconc load-path (list "/usr/share/emacs/site-lisp/dpkg-dev-el")))

  (require 'dpkg-dev-el)

  ;; other useful automode
  (add-to-list 'auto-mode-alist
               '("/debian/[^/]*emacsen-startup\\'" . emacs-lisp-mode)))
